The SQL Server team has released an updated package of SQL Server 2008 Express Edition SP1 that supports .NET Framework 4 Beta 2, extending the range of .NET Framework versions supported by SQL Server 2008 Express SP1 to .NET Framework 2.0 SP2, 3.5 SP1 and 4 Beta 2!

The reason for this update is that Visual Studio 2010 Beta 2 ships with .NET Framework 4 Beta 2. It also distributes SQL Server 2008 Express SP1, which originally required .Net 2.0 SP2 or 3.5 SP1. As a result, Visual Studio team had to include two versions of .NET Framework in Visual Studio 2010 Beta 2.

There are no functional differences between the existing package and the new SQL Server Express package with support for .NET 4 Beta 2. Both packages are available to customers on the Microsoft Download Center. The new package installs with .NET 2.0 SP2 or 3.5 SP1 or 4 Beta 2. .NET 4 Beta 2 is added as a new support option without removing any of the existing support for support for.Net Framework versions. The updated package will also work for .NET 4 RTM when it ships.

Note that the .NET 4 Beta 2 support will only be available in the SQL Server 2008 SP1 Express (Runtime Only) edition. SQL Server 2008 Express with Tools and SQL Server 2008 Express with Advanced Services still require .NET 3.5 SP1. In addition, there is no impact to SQL Server 2008 SP1 servicing story (SQL Server 2008 Cumulative Updates apply).

The new package is currently distributed with Visual Studio 2010 Beta 2. For more information on this release and Visual Studio 2010 Beta 2, see the following links:

·         Microsoft Download Center

·         KB Article

·         SQL Server 2008 Express Blog

·         Visual Studio 2010 and .NET Framework 4 Web Site

Thank you,

SQL Server Global Release Services Team